zenilib: zenilib/jni/external/freetype2/src/cid/cidparse.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
cidparse.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`

Go to the source code of this file.

## Classes

struct | CID_Parser_

## Macros

#define | cid_parser_load_field(p, f, o) (p)->root.funcs.load_field( &(p)->root, f, o, 0, 0 )
#define | cid_parser_load_field_table(p, f, o) (p)->root.funcs.load_field_table( &(p)->root, f, o, 0, 0 )
#define | cid_parser_skip_PS_token(p) (p)->root.funcs.skip_PS_token( &(p)->root )
#define | cid_parser_skip_spaces(p) (p)->root.funcs.skip_spaces( &(p)->root )
#define | cid_parser_to_coord_array(p, m, c) (p)->root.funcs.to_coord_array( &(p)->root, m, c )
#define | cid_parser_to_fixed(p, t) (p)->root.funcs.to_fixed( &(p)->root, t )
#define | cid_parser_to_fixed_array(p, m, f, t) (p)->root.funcs.to_fixed_array( &(p)->root, m, f, t )
#define | cid_parser_to_int(p) (p)->root.funcs.to_int( &(p)->root )
#define | cid_parser_to_token(p, t) (p)->root.funcs.to_token( &(p)->root, t )
#define | cid_parser_to_token_array(p, t, m, c) (p)->root.funcs.to_token_array( &(p)->root, t, m, c )

## Typedefs

typedef FT_BEGIN_HEADER struct CID_Parser_ | CID_Parser

## Functions

| cid_parser_done (CID_Parser *parser)
| cid_parser_new (CID_Parser *parser, FT_Stream stream, FT_Memory memory, PSAux_Service psaux)

## Macro Definition Documentation

#define cid_parser_load_field | ( |  | p,
|  |  | f,
|  |  | o
| ) |  | (p)->root.funcs.load_field( &(p)->root, f, o, 0, 0 )

Definition at line 112 of file cidparse.h.

#define cid_parser_load_field_table | ( |  | p,
|  |  | f,
|  |  | o
| ) |  | (p)->root.funcs.load_field_table( &(p)->root, f, o, 0, 0 )

Definition at line 114 of file cidparse.h.

#define cid_parser_skip_PS_token | ( |  | p | ) | (p)->root.funcs.skip_PS_token( &(p)->root )

Definition at line 97 of file cidparse.h.

Referenced by cid_parse_dict(), and cid_parser_new().

#define cid_parser_skip_spaces | ( |  | p | ) | (p)->root.funcs.skip_spaces( &(p)->root )

Definition at line 95 of file cidparse.h.

Referenced by cid_parse_dict(), and cid_parser_new().

#define cid_parser_to_coord_array | ( |  | p,
|  |  | m,
|  |  | c
| ) |  | (p)->root.funcs.to_coord_array( &(p)->root, m, c )

Definition at line 103 of file cidparse.h.

#define cid_parser_to_fixed | ( |  | p,
|  |  | t
| ) |  | (p)->root.funcs.to_fixed( &(p)->root, t )

Definition at line 101 of file cidparse.h.

Referenced by parse_expansion_factor().

#define cid_parser_to_fixed_array | ( |  | p,
|  |  | m,
|  |  | f,
|  |  | t
| ) |  | (p)->root.funcs.to_fixed_array( &(p)->root, m, f, t )

Definition at line 105 of file cidparse.h.

Referenced by cid_parse_font_matrix().

#define cid_parser_to_int | ( |  | p | ) | (p)->root.funcs.to_int( &(p)->root )

Definition at line 100 of file cidparse.h.

Referenced by parse_fd_array().

#define cid_parser_to_token | ( |  | p,
|  |  | t
| ) |  | (p)->root.funcs.to_token( &(p)->root, t )

Definition at line 107 of file cidparse.h.

#define cid_parser_to_token_array | ( |  | p,
|  |  | t,
|  |  | m,
|  |  | c
| ) |  | (p)->root.funcs.to_token_array( &(p)->root, t, m, c )

Definition at line 109 of file cidparse.h.

## Typedef Documentation

typedef FT_BEGIN_HEADER struct CID_Parser_ CID_Parser

## Function Documentation

cid_parser_done | ( | CID_Parser * | parser | ) |

Definition at line 211 of file cidparse.c.

References FT_FRAME_RELEASE.

Referenced by cid_done_loader().

cid_parser_new | ( | CID_Parser * | parser,
|  | FT_Stream | stream,
|  | FT_Memory | memory,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 51 of file cidparse.c.

References cid_parser_skip_PS_token, cid_parser_skip_spaces, error, ft_atol, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_FRAME_EXTRACT, FT_FRAME_RELEASE, FT_MEM_MOVE, FT_MEM_ZERO, FT_MIN, FT_STREAM_POS, FT_STREAM_READ, FT_STREAM_SEEK, ft_strncmp, and FT_TRACE2.

Referenced by cid_face_open().